Register domain
curl --request POST \
--url https://api.bizzyco.ai/v1/domain-registrations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"domain": "<string>",
"maxAmountCents": 123,
"contact": {
"firstName": "<string>",
"lastName": "<string>",
"address1": "<string>",
"city": "<string>",
"stateProvince": "<string>",
"postalCode": "<string>",
"country": "<string>",
"email": "[email protected]",
"phone": "<string>",
"label": "<string>",
"organizationName": "<string>",
"jobTitle": "<string>",
"address2": "<string>"
},
"periodYears": 1,
"autoRenew": true,
"whoisPrivacy": true
}
'const options = {
method: 'POST',
headers: {
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
domain: '<string>',
maxAmountCents: 123,
contact: {
firstName: '<string>',
lastName: '<string>',
address1: '<string>',
city: '<string>',
stateProvince: '<string>',
postalCode: '<string>',
country: '<string>',
email: '[email protected]',
phone: '<string>',
label: '<string>',
organizationName: '<string>',
jobTitle: '<string>',
address2: '<string>'
},
periodYears: 1,
autoRenew: true,
whoisPrivacy: true
})
};
fetch('https://api.bizzyco.ai/v1/domain-registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/domain-registrations"
payload = {
"domain": "<string>",
"maxAmountCents": 123,
"contact": {
"firstName": "<string>",
"lastName": "<string>",
"address1": "<string>",
"city": "<string>",
"stateProvince": "<string>",
"postalCode": "<string>",
"country": "<string>",
"email": "[email protected]",
"phone": "<string>",
"label": "<string>",
"organizationName": "<string>",
"jobTitle": "<string>",
"address2": "<string>"
},
"periodYears": 1,
"autoRenew": True,
"whoisPrivacy": True
}
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/domain-registrations"
payload := strings.NewReader("{\n \"domain\": \"<string>\",\n \"maxAmountCents\": 123,\n \"contact\": {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"address1\": \"<string>\",\n \"city\": \"<string>\",\n \"stateProvince\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"email\": \"[email protected]\",\n \"phone\": \"<string>\",\n \"label\": \"<string>\",\n \"organizationName\": \"<string>\",\n \"jobTitle\": \"<string>\",\n \"address2\": \"<string>\"\n },\n \"periodYears\": 1,\n \"autoRenew\": true,\n \"whoisPrivacy\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("idempotency-key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>"
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Domains
Register domain
Charge the account default payment method and enqueue domain registration provisioning. Requires an Idempotency-Key header so a retried request never charges twice.
POST
/
v1
/
domain-registrations
Register domain
curl --request POST \
--url https://api.bizzyco.ai/v1/domain-registrations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"domain": "<string>",
"maxAmountCents": 123,
"contact": {
"firstName": "<string>",
"lastName": "<string>",
"address1": "<string>",
"city": "<string>",
"stateProvince": "<string>",
"postalCode": "<string>",
"country": "<string>",
"email": "[email protected]",
"phone": "<string>",
"label": "<string>",
"organizationName": "<string>",
"jobTitle": "<string>",
"address2": "<string>"
},
"periodYears": 1,
"autoRenew": true,
"whoisPrivacy": true
}
'const options = {
method: 'POST',
headers: {
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
domain: '<string>',
maxAmountCents: 123,
contact: {
firstName: '<string>',
lastName: '<string>',
address1: '<string>',
city: '<string>',
stateProvince: '<string>',
postalCode: '<string>',
country: '<string>',
email: '[email protected]',
phone: '<string>',
label: '<string>',
organizationName: '<string>',
jobTitle: '<string>',
address2: '<string>'
},
periodYears: 1,
autoRenew: true,
whoisPrivacy: true
})
};
fetch('https://api.bizzyco.ai/v1/domain-registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/domain-registrations"
payload = {
"domain": "<string>",
"maxAmountCents": 123,
"contact": {
"firstName": "<string>",
"lastName": "<string>",
"address1": "<string>",
"city": "<string>",
"stateProvince": "<string>",
"postalCode": "<string>",
"country": "<string>",
"email": "[email protected]",
"phone": "<string>",
"label": "<string>",
"organizationName": "<string>",
"jobTitle": "<string>",
"address2": "<string>"
},
"periodYears": 1,
"autoRenew": True,
"whoisPrivacy": True
}
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/domain-registrations"
payload := strings.NewReader("{\n \"domain\": \"<string>\",\n \"maxAmountCents\": 123,\n \"contact\": {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"address1\": \"<string>\",\n \"city\": \"<string>\",\n \"stateProvince\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"email\": \"[email protected]\",\n \"phone\": \"<string>\",\n \"label\": \"<string>\",\n \"organizationName\": \"<string>\",\n \"jobTitle\": \"<string>\",\n \"address2\": \"<string>\"\n },\n \"periodYears\": 1,\n \"autoRenew\": true,\n \"whoisPrivacy\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("idempotency-key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>"
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
API key authentication via Bearer token
Headers
Unique key that makes this request safe to retry. Reuse the same value when retrying a request that may already have succeeded; use a new value for a new operation.
Required string length:
1 - 255Example:
"9f8c2b1a-4d3e-4a6b-8c1d-2e3f4a5b6c7d"
Body
application/json
Last modified on August 9, 2026
⌘I